Skip to main content
GET
/
v2
/
incident_alerts
ListIncidentAlerts
curl --request GET \
  --url https://api.incident.io/v2/incident_alerts \
  --header 'Authorization: Bearer <token>'
{
  "incident_alerts": [
    {
      "alert": {
        "alert_source_id": "01GW2G3V0S59R238FAHPDS1R66",
        "created_at": "2021-08-17T13:28:57.801578Z",
        "deduplication_key": "4293868629",
        "description": "CPU on the payments service has exceeded 75 percent for 5 minutes",
        "id": "01GW2G3V0S59R238FAHPDS1R66",
        "resolved_at": "2021-08-17T14:28:57.801578Z",
        "source_url": "https://www.my-alerting-platform.com/alerts/my-alert-123",
        "status": "firing",
        "title": "*errors.withMessage: PG::Error failed to connect",
        "updated_at": "2021-08-17T13:28:57.801578Z"
      },
      "alert_route_id": "01GW2G3V0S59R238FAHPDS1R67",
      "id": "01GW2G3V0S59R238FAHPDS1R66",
      "incident": {
        "external_id": 123,
        "id": "01FDAG4SAP5TYPT98WGR2N7W91",
        "name": "Our database is sad",
        "reference": "INC-123",
        "status_category": "triage",
        "summary": "Our database is really really sad, and we don't know why yet.",
        "visibility": "public"
      }
    }
  ],
  "pagination_meta": {
    "after": "01FCNDV6P870EA6S7TK1DSYDG0",
    "page_size": 25
  }
}

Authorizations

Authorization
string
header
required

API key from your incident.io dashboard (Settings → API keys)

Query Parameters

page_size
integer<int64>
default:25
required

Number of incident alerts to return per page

Required range: 1 <= x <= 50
Example:

25

after
string

If provided, pass this as the 'after' param to load the next page

Example:

"01FCNDV6P870EA6S7TK1DSYDG0"

alert_id
string

Alert that this incident alert refers to

Example:

"01FCNDV6P870EA6S7TK1DSYDG1"

incident_id
string

Incident that this incident alert is attached to

Example:

"01FCNDV6P870EA6S7TK1DSYDG0"

Response

200 - application/json

OK response.

incident_alerts
object[]
required
Example:
[
  {
    "alert": {
      "alert_source_id": "01GW2G3V0S59R238FAHPDS1R66",
      "created_at": "2021-08-17T13:28:57.801578Z",
      "deduplication_key": "4293868629",
      "description": "CPU on the payments service has exceeded 75 percent for 5 minutes",
      "id": "01GW2G3V0S59R238FAHPDS1R66",
      "resolved_at": "2021-08-17T14:28:57.801578Z",
      "source_url": "https://www.my-alerting-platform.com/alerts/my-alert-123",
      "status": "firing",
      "title": "*errors.withMessage: PG::Error failed to connect",
      "updated_at": "2021-08-17T13:28:57.801578Z"
    },
    "alert_route_id": "01GW2G3V0S59R238FAHPDS1R67",
    "id": "01GW2G3V0S59R238FAHPDS1R66",
    "incident": {
      "external_id": 123,
      "id": "01FDAG4SAP5TYPT98WGR2N7W91",
      "name": "Our database is sad",
      "reference": "INC-123",
      "status_category": "triage",
      "summary": "Our database is really really sad, and we don't know why yet.",
      "visibility": "public"
    }
  }
]
pagination_meta
object
required
Example:
{
  "after": "01FCNDV6P870EA6S7TK1DSYDG0",
  "page_size": 25
}